Subject: bug#66260: 29.0.92; project.el should support copying a file path relative to the project root

From: [email-masked]
Date: Sat, 30 Sep 2023 15:17:54 +0000 (UTC)

Eshel Yaron <[email-masked]> writes:
> Hi,
>
> [email-masked] writes:
>
>> Juri Linkov <[email-masked]> writes:
>>> Sometimes an absolute path is needed too even in project directories.
>>> Maybe it's possible to find a new prefix argument to copy
>>> a project-root-relative path like 'C-u C-u w'?
>>
>> I initially considered M-1 w, but that loses the ability to mark files
>> and then only copy one of them.  C-u C-u seems good.
>
> FWIW I think a separate command and binding would be preferable, namely
> `C-x p w`.  That'd leave `w` intact and clearly indicate the
> project-related nature of the (new) command, so it's arguably more
> intuitive than `C-u C-u w`.  We could also have that binding in
> non-Dired buffers, and have it operate on the visited file.

I don't think there's any need to avoid modifying w, so even if we added
this other C-x p w command, I would still like C-u C-u w to work.  It's
useful when navigating a project tree in dired.